# Method: accounts.dataSources.get

- [HTTP request](https://developers.google.com/merchant/api/reference/rest/datasources_v1/accounts.dataSources/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/datasources_v1/accounts.dataSources/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/datasources_v1/accounts.dataSources/get#body.request_body)
- [Response body](https://developers.google.com/merchant/api/reference/rest/datasources_v1/accounts.dataSources/get#body.response_body)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/datasources_v1/accounts.dataSources/get#body.aspect)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/datasources_v1/accounts.dataSources/get#try-it)

Retrieves the data source configuration for the given account.

### HTTP request

`GET https://merchantapi.googleapis.com/datasources/v1/{name=accounts/*/dataSources/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the data source to retrieve. Format: `accounts/{account}/dataSources/{datasource}` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/merchant/api/reference/rest/datasources_v1/accounts.dataSources#DataSource`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).